Package org.silverpeas.components.questionreply.model

# Class Question

java.lang.Object
org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
org.silverpeas.components.questionreply.model.Question

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

public class Question extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CLOSED`
  `static final int`
  `NEW`
  `static final int`
  `WAITING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Question()`
  `Question(String creatorId, String instanceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `String`
  `getCategoryId()`
  `String`
  `getContent()`
  `String`
  `getCreationDate()`
  `String`
  `getCreatorId()`
  `String`
  `getInstanceId()`
  `String`
  `getPermalink()`
  `int`
  `getPrivateReplyNumber()`
  `int`
  `getPublicReplyNumber()`
  `int`
  `getReplyNumber()`
  `int`
  `getStatus()`
  `protected String`
  `getTableName()`
  `String`
  `getTitle()`
  `String`
  `getURL()`
  `boolean`
  `hasClosedStatus()`
  `boolean`
  `hasNewStatus()`
  `boolean`
  `hasWaitingStatus()`
  `org.silverpeas.core.admin.user.model.UserDetail`
  `readAuthor(org.silverpeas.core.admin.service.OrganizationController organizationController)`
  `String`
  `readCreatorName()`
  `String`
  `readCreatorName(org.silverpeas.core.admin.service.OrganizationController organizationController)`
  `List<Recipient>`
  `readRecipients()`
  `List<Reply>`
  `readReplies()`
  `void`
  `setCategoryId(String categoryId)`
  `void`
  `setContent(String content)`
  `final void`
  `setCreationDate()`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setCreatorId(String creatorId)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setPrivateReplyNumber(int privateReplyNumber)`
  `void`
  `setPublicReplyNumber(int publicReplyNumber)`
  `void`
  `setReplyNumber(int replyNumber)`
  `void`
  `setStatus(int status)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`
  `void`
  `waitForAnswer()`
  `void`
  `writeRecipients(Collection<Recipient> recipients)`
  `void`
  `writeReplies(Collection<Reply> replies)`

  ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  `getNonNullString, getPK, setPK`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLOSED

    public static final int CLOSED
    See Also:
      - Constant Field Values

  - ### NEW

    public static final int NEW
    See Also:
      - Constant Field Values

  - ### WAITING

    public static final int WAITING
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Question

    public Question()

  - ### Question

    public Question(String creatorId, String instanceId)

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### getContent

    public String getContent()

  - ### getCreatorId

    public String getCreatorId()

  - ### getCreationDate

    public String getCreationDate()

  - ### getStatus

    public int getStatus()

  - ### getPublicReplyNumber

    public int getPublicReplyNumber()

  - ### getPrivateReplyNumber

    public int getPrivateReplyNumber()

  - ### getReplyNumber

    public int getReplyNumber()

  - ### getInstanceId

    public String getInstanceId()

  - ### readReplies

    public List<Reply> readReplies()

  - ### readRecipients

    public List<Recipient> readRecipients()

  - ### setTitle

    public void setTitle(String title)

  - ### setContent

    public void setContent(String content)

  - ### setCreatorId

    public void setCreatorId(String creatorId)

  - ### setCreationDate

    public final void setCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### setStatus

    public void setStatus(int status)

  - ### setPublicReplyNumber

    public void setPublicReplyNumber(int publicReplyNumber)

  - ### setPrivateReplyNumber

    public void setPrivateReplyNumber(int privateReplyNumber)

  - ### setReplyNumber

    public void setReplyNumber(int replyNumber)

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### writeReplies

    public void writeReplies(Collection<Reply> replies)

  - ### writeRecipients

    public void writeRecipients(Collection<Recipient> recipients)

  - ### getPermalink

    public String getPermalink()

  - ### getURL

    public String getURL()

  - ### readCreatorName

    public String readCreatorName()

  - ### readCreatorName

    public String readCreatorName(org.silverpeas.core.admin.service.OrganizationController organizationController)

  - ### readAuthor

    public org.silverpeas.core.admin.user.model.UserDetail readAuthor(org.silverpeas.core.admin.service.OrganizationController organizationController)

  - ### getTableName

    @NonNull protected String getTableName()
    Specified by:
      `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

  - ### getCategoryId

    public String getCategoryId()

  - ### setCategoryId

    public void setCategoryId(String categoryId)

  - ### hasWaitingStatus

    public boolean hasWaitingStatus()

  - ### hasClosedStatus

    public boolean hasClosedStatus()

  - ### hasNewStatus

    public boolean hasNewStatus()

  - ### close

    public void close()

  - ### waitForAnswer

    public void waitForAnswer()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`